var app = getApp();
Page({
  data: {
    trainTip: false,
    messageTip: false,
    serveTip: false,
    isShow: false
  },
  onLoad() {
    let me = this
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })
    wx.request({
      url: app.globalData.apiUrl + 'remindings/index',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token')
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          if(res.data.data.smsRemind==1 || res.data.data.wechatRemind==1){
            me.setData({
              trainTip: true,
              isShow: true,
            })
          }else{
            me.setData({
              trainTip: false,
              isShow: false,
            })
          }
          if(res.data.data.smsRemind==1){//短信提醒状态 1：开启提醒； 0：关闭提醒。
            me.setData({
              messageTip: true,
            })
          }else{
            me.setData({
              messageTip: false,
            })
          }
          if(res.data.data.wechatRemind==1){//微信提醒状态 1：开启提醒； 0：关闭提醒。
            me.setData({
              serveTip: true,
            })
          }else{
            me.setData({
              serveTip: false,
            })
          }
        }else{
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
  // 训练提醒（总开关）
  trainTip: function(e) {
    let me = this
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })

    let status = ''
    if(e.detail.value){
      status = 1
    }else{
      status = 0
    }
    wx.request({
      url: app.globalData.apiUrl + 'remindings/setRemind',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token'),
        type: 3,//提醒类型 1：短信提醒； 2：微信提醒； 3：全部提醒（包括短信和微信）
        status: status,//提醒状态 1：开启提醒状态； 0：关闭提醒状态。
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          me.setData({
            trainTip: e.detail.value,
            messageTip: e.detail.value,
            serveTip: e.detail.value,
            isShow: e.detail.value
          })
        }else{
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
  messageTip: function(e) {
    let me = this
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })

    let status = ''
    if(e.detail.value){
      status = 1
    }else{
      status = 0
    }
    wx.request({
      url: app.globalData.apiUrl + 'remindings/setRemind',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token'),
        type: 1,//提醒类型 1：短信提醒； 2：微信提醒； 3：全部提醒（包括短信和微信）
        status: status,//提醒状态 1：开启提醒状态； 0：关闭提醒状态。
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          me.setData({
            messageTip: e.detail.value
          })
          if(me.data.messageTip || me.data.serveTip){
          }else{
            me.setData({
              trainTip: e.detail.value,
              messageTip: e.detail.value,
              serveTip: e.detail.value,
              isShow: e.detail.value
            })
          }
        }else{
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
  serveTip: function(e) {
    let me = this
    // 请求前加Loading
    wx.showLoading({
      title: '加载中',
      mask: true
    })

    let status = ''
    if(e.detail.value){
      status = 1
    }else{
      status = 0
    }
    wx.request({
      url: app.globalData.apiUrl + 'remindings/setRemind',
      method: 'POST',
      data: {
        token: wx.getStorageSync('token'),
        type: 2,//提醒类型 1：短信提醒； 2：微信提醒； 3：全部提醒（包括短信和微信）
        status: status,//提醒状态 1：开启提醒状态； 0：关闭提醒状态。
      },
      success: function (res) {
        // 请求成功后关闭Loading
        wx.hideLoading();
        if(res.data.errno==200){
          me.setData({
            serveTip: e.detail.value
          })
          if(me.data.messageTip || me.data.serveTip){
          }else{
            me.setData({
              trainTip: e.detail.value,
              messageTip: e.detail.value,
              serveTip: e.detail.value,
              isShow: e.detail.value
            })
          }
        }else{
          wx.showModal({
            title: '提示',
            showCancel: false,
            content: res.data.msg
          })
        }
      }
    })
  },
})